FedXchange weekly, October 15, 2026
What FedXchange's trackers found from October 8, 2026 to October 15, 2026.
New governance
FedRAMP asks for comments until November 17, 2026, on RFC-0035, Cryptographic Module Use Rules Updates.
New proposed rule, open for comment until November 16, 2026: Privacy Act of 1974; Implementation.
New proposed rule, open for comment until November 16, 2026: Privacy Act of 1974; Implementation.
Status changes
Comments closed on RFC-0034, Technical Advisory Group Changes.
Comments closed on RFC-0033, 20x Phase 4 Development Tracks for 20x Class D.
Comment deadlines
Comments close October 19, 2026: Federal Acquisition Regulation: Revolutionary Federal Acquisition Regulation Overhaul Parts 14, 28, 36, and 52.
Comments close October 19, 2026
Comments close October 22, 2026: General Services Administration Acquisition Regulation; GSAR Implementation of Executive Order 14275, Federal Supply Schedule Ordering Procedures.
Comments close October 22, 2026
FedRAMP Marketplace
Omnissa Government Services from Omnissa gained an agency authorization, 2 in all.
Now: FedRAMP Certified, High impact.
Get the next issue by email
A weekly email on Fridays, an alert on the day the watch finds something new, or both. Free.